Bug 966240 - Anaconda syntax for the baseurl option of the repo command when using NFS is incorrect
Anaconda syntax for the baseurl option of the repo command when using NFS is ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 16:32 EDT by Ray Mikkelson
Modified: 2014-06-16 09:38 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-21.37-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-16 09:38:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Mikkelson 2013-05-22 16:32:38 EDT
Description of problem:

Anaconda does not properly interpret (parse) the --baseurl option of the repo command when using NFS repositories.

According to the documentation at:
http://fedoraproject.org/wiki/Anaconda/Kickstart#repo

The syntax should be:

--baseurl=

    The URL for the repository. The variables that may be used in yum repo config files are not supported here. You may use one of either this option or --mirrorlist, not both. If an NFS repository is specified, it should be of the form nfs://host:/path/to/repo. Note that there is a colon after the host--Anaconda passes everything after "nfs://" directly to the mount command instead of parsing URLs according to RFC 2224. 

NOTE: It says: nfs://host:/path/to/repo

This used to work in F16 & F17.

Now, for F18, it seems that the syntax must be:
nfs:host:/path/to/repo

So, either the documentation needs updating (and put it in the Release Notes!!), or the code needs to change back to the way it was.  Personally, I think the code should go back to the way it used to be...


Version-Release number of selected component (if applicable): 
F18


How reproducible:
Every time


Steps to Reproduce:
1. Create a kickstart file
2. Add an entry something like:
repo --name="myserver-releases18"  --baseurl=nfs://myserver.mydomain.com:/vol0/FedoraMirror/releases/18/Everything/x86_64/os --cost=1
3. Use the kickstart file (use the ks= option) when using anaconda

Actual results:

The install will abort in the middle saying that it cannot find the repository.  Looking at the logs, the mount command fails because it is trying to mount //myserver.mydomain.com:/vol0/FedoraMirror/releases/18/Everything/x86_64/os instead of myserver.mydomain.com:/vol0/FedoraMirror/releases/18/Everything/x86_64/os.

Expected results:

The old syntax which worked in F17 and earlier should still work.


Additional info:
Comment 1 Fedora End Of Life 2013-12-21 08:40:40 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 16:29:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 David Shea 2014-05-08 12:09:35 EDT
Posted a patch to use nfs:// for the addon URLs.

Note You need to log in before you can comment on or make changes to this bug.